Bug 89954 - FORMATTING: Autocapitalisation does not happen if the last word in the previous sentence has a comment in the middle of the word
Summary: FORMATTING: Autocapitalisation does not happen if the last word in the previ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.2 target:4.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-03-11 15:25 UTC by Gordo
Modified: 2016-10-25 19:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Examples of no autocapitalisation (10.97 KB, application/vnd.oasis.opendocument.text)
2015-03-11 15:25 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-03-11 15:25:30 UTC
Created attachment 114040 [details]
Examples of no autocapitalisation

Non-range comment:
1. New Text Document.
2. Type "test.".
3. Insert comment between "s" and "t".
4. Type "test" into comment box.
5. Place cursor after "Test." in document.
6. Spacebar
7. Type "this is a test.".
Expected Result:
"this" is capitalised.
Result:
"this" is not capitalised.

Additionally, inserting a non-range comment at the beginning or end of the word (before or after the punctuation) does autocapitalise the beginning of the next sentence.

Range comment:
1. New Text Document.
2. Type "test.".
3. Select "Te" from "Test.".
4. Insert comment.
5. Type "test" into comment box.
6. Place cursor after "Test." in document.
7. Spacebar
8. Type "this is a test.".
Expected Result:
"this" is capitalised.
Result:
"this" is not capitalised.
Alternate:
3. Select "es" from "Test.".
4. Insert comment.
5. Type "test" into comment box.
6. Place cursor after "Test." in document.
7. Spacebar
8. Type "this is a test.".
Expected Result:
"this" is capitalised.
Result:
"this" is not capitalised.

Additionally, inserting a range comment that includes the last letter of the word (with or without punctuation) does autocapitalise the beginning of the next sentence.

Also, for range comments, including the beginning of the last word in a sentence with previous words in that sentence does not autocapitalise the beginning of the next sentence.


Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Comment 1 A (Andy) 2015-03-11 20:54:46 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 2 Matthew Francis 2015-03-19 13:59:55 UTC
Bibisect results from 43all:

f780f9a999d8300a2a72658063d6e823000fbae4 is the first bad commit
commit f780f9a999d8300a2a72658063d6e823000fbae4
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sun May 11 00:36:04 2014 +0000

    source-hash-4356aef48a8fcbd9dd019c0ca2d6a189d7332d0c
    
    commit 4356aef48a8fcbd9dd019c0ca2d6a189d7332d0c
    Author:     Christian Lohmaier <lohmaier+LibreOffice@googlemail.com>
    AuthorDate: Thu Jan 9 13:22:16 2014 +0100
    Commit:     Christian Lohmaier <lohmaier+LibreOffice@googlemail.com>
    CommitDate: Thu Jan 9 13:22:16 2014 +0100


At a glance, the most likely candidate in that range is

commit 0761f81643a6890457e9ef7d913ab5c88c2593a4
Author:     Oliver-Rainer Wittmann <orw@apache.org>
AuthorDate: Thu Dec 19 18:50:58 2013 +0000
Commit:     Miklos Vajna <vmiklos@collabora.co.uk>
CommitDate: Wed Jan 8 15:58:35 2014 +0100

    123792: complete annotations on text ranges feature
Comment 3 Matthew Francis 2015-05-07 02:28:24 UTC
Confirmed that it was commit 0761f81643a6890457e9ef7d913ab5c88c2593a4 at which the behaviour changed.

Adding Cc: to vmiklos@collabora.co.uk; Could you possibly take a look at this one? Thanks
Comment 4 Miklos Vajna 2015-07-28 06:32:29 UTC
I'll take care of this.
Comment 5 Commit Notification 2015-07-29 07:19:22 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=89d615360e80a13fff6bc69885e5780d8fedf149

tdf#89954 sw: let annotation have CH_TXTATR_INWORD placeholder again

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-08-11 13:31:42 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4eb0e4ace354df4c633aebc2f525911dd50e6f06&h=libreoffice-5-0

tdf#89954 sw: let annotation have CH_TXTATR_INWORD placeholder again

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-08-18 09:24:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c6cdfe08420eefaa97d957c3908daf76b14e684&h=libreoffice-4-4

tdf#89954 sw: let annotation have CH_TXTATR_INWORD placeholder again

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 08:48:13 UTC Comment hidden (obsolete)